Bug 1467018 - SELinux is preventing chrony-helper from 'getattr' accesses on the directory /home/sheepdestroyer.
SELinux is preventing chrony-helper from 'getattr' accesses on the directory ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:bf5998d40a6a201ba2bf7a649e0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-01 15:02 EDT by sheepdestroyer
Modified: 2017-09-02 12:34 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sheepdestroyer 2017-07-01 15:02:06 EDT
Description of problem:
just had updated
SELinux is preventing chrony-helper from 'getattr' accesses on the directory /home/sheepdestroyer.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that chrony-helper should be allowed getattr access on the sheepdestroyer directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'chrony-helper' --raw | audit2allow -M my-chronyhelper
# semodule -X 300 -i my-chronyhelper.pp

Additional Information:
Source Context                unconfined_u:system_r:chronyd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                /home/sheepdestroyer [ dir ]
Source                        chrony-helper
Source Path                   chrony-helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.7-300.fc26.x86_64 #1 SMP Mon
                              Jun 26 14:54:05 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-07-01 20:53:49 CEST
Last Seen                     2017-07-01 20:53:49 CEST
Local ID                      53f96cbf-14db-4ea9-bd2b-3b02ffd29750

Raw Audit Messages
type=AVC msg=audit(1498935229.176:229): avc:  denied  { getattr } for  pid=2401 comm="chrony-helper" path="/home/sheepdestroyer" dev="sda10" ino=12582913 scontext=unconfined_u:system_r:chronyd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir permissive=0


Hash: chrony-helper,chronyd_t,user_home_dir_t,dir,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.7-300.fc26.x86_64
type:           libreport
Comment 1 sheepdestroyer 2017-07-04 10:46:14 EDT
again and again since update
Comment 2 Daniel Walsh 2017-07-06 07:37:42 EDT
Not sure why chrony-helper is looking into the /home/sheepdestroyer home directory?
Comment 3 sheepdestroyer 2017-07-11 18:45:42 EDT
Description of problem:
was yum upgrading libreoffice

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.9-300.fc26.x86_64
type:           libreport
Comment 4 thiagoahauck 2017-09-02 12:34:59 EDT
Description of problem:
Não sei o que causou o problema ou porque esta notificação do SELinux fica aparecendo em meu desktop.
Esta notificação aparece para min a mais de 2 meses, formatei meu computador a pouco tempo e ainda continua.
I do not know what caused the problem or why this SELinux notification is showing up on my desktop.
This notification appears for min more than 2 months, I formatted my computer shortly and it still continues.

Version-Release number of selected component:
selinux-policy-3.13.1-260.6.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.9-300.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.